Bug 523612 - Top reports impossible CPU percentage
Summary: Top reports impossible CPU percentage
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: procps
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jaromír Cápík
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-16 07:34 UTC by Konstantin Svist
Modified: 2018-10-27 11:36 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-27 14:23:14 UTC


Attachments (Terms of Use)
copy of top output (3.69 KB, text/plain)
2009-09-16 07:34 UTC, Konstantin Svist
no flags Details

Description Konstantin Svist 2009-09-16 07:34:30 UTC
Created attachment 361200 [details]
copy of top output

Description of problem:

On a loaded system, top sometimes briefly reports one process as taking up 9999.0% CPU


Version-Release number of selected component (if applicable):
procps version 3.2.7


How reproducible:
on a well loaded system, the bug shows up about every 30 seconds


Additional info:

The computer in question has 2 4-core CPUs, so 800% should be the theoretical maximum reported CPU usage for any process

Comment 1 Konstantin Svist 2010-03-07 04:38:27 UTC
*ping*
is this a normal condition?

Comment 2 Daniel Novotny 2010-03-09 11:07:36 UTC
hello Konstantin,
Thanks for the report. This condition is probably a bug in top, I will investigate it.

Comment 3 Daniel Novotny 2010-03-26 12:53:47 UTC
hello,

the cause of this may be a variable overflow
I have built a test package for Fedora 11 (you have the bug reported for this release, so I assume this is the version you use)

can you please test, if the problem disappears?

http://koji.fedoraproject.org/koji/taskinfo?taskID=2077071

Comment 4 Daniel Novotny 2010-03-26 13:39:44 UTC
F12 version of the test package:

http://koji.fedoraproject.org/koji/taskinfo?taskID=2077142

Comment 5 Konstantin Svist 2010-04-26 20:25:59 UTC
I have not seen this problem lately, it's probably fixed. I'll let you know if I see it again

Comment 6 Daniel Novotny 2010-04-27 14:38:55 UTC
OK, I will close this CURRENTRELEASE now, feel free to reopen if it appears again

Comment 7 Konstantin Svist 2010-04-27 22:17:48 UTC
Just saw this on procps 3.2.8-3.fc12
Wanted to update to your test version but looks like it's gone now.. and I don't see it in updates-testing.
Any idea when it'll be pushed?

Comment 8 Daniel Novotny 2010-04-28 09:32:14 UTC
hello,

I only made a scratch build with a custom patch, but unfortunately I lost the patch when I updated some directories and forgot where the problem was... moving this back to "assigned" and next time I'll discover this again I will attach the patch to the bug - I didn't know scratch builds have such short lifespan :(

moving bug back to assigned and let's see if I find it again

Comment 9 Bug Zapper 2010-04-28 10:24:06 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 10 Konstantin Svist 2010-04-28 17:20:27 UTC
guess let's switch it to 12 so the bug won't get closed :)

Comment 11 Fedora Admin XMLRPC Client 2010-05-20 12:30:16 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 12 Konstantin Svist 2010-06-28 17:18:04 UTC
FYI: this seems to happen a lot when the process is killed/dying

Comment 13 Konstantin Svist 2010-08-27 21:52:57 UTC
Any updates? It's still happening

Comment 14 Fedora Admin XMLRPC Client 2011-05-12 08:56:31 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 15 Bug Zapper 2011-06-02 17:44:36 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 16 Bug Zapper 2011-06-27 14:23:14 UTC
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.